/** Shopify CDN: Minification failed

Line 28:15 Expected identifier but found whitespace
Line 28:17 Unexpected "{"
Line 28:24 Expected ":"
Line 29:19 Expected identifier but found whitespace
Line 29:21 Unexpected "{"
Line 29:28 Expected ":"
Line 30:19 Expected identifier but found whitespace
Line 30:21 Unexpected "{"
Line 30:28 Expected ":"
Line 31:16 Expected identifier but found whitespace
... and 8 more hidden warnings

**/
.hidden {
  display: none;
}
 
subscription-widget {
  display: block;
  margin: 15px 0;

  --deployer-inputs-border-radius: 4px;
}

subscription-widget{
  --sw-card-bg: {{ block.settings.sw_card_bg }};
  --sw-card-border: {{ block.settings.sw_card_border }};
  --sw-selected-bg: {{ block.settings.sw_selected_bg }};
  --sw-badge-bg: {{ block.settings.sw_badge_bg }};
  --sw-badge-text: {{ block.settings.sw_badge_text }};
  --sw-text: {{ block.settings.sw_text }};
}
 
.subscription-widget__title {
  font-size: var(--deployer-form-label-font-size);
  margin: 0 0 var(--deployer-default-spacing) 0;
}
 
.subscription-widget__description {
  font-size: var(--deployer-form-label-font-size);
}
 
.subscription-widget__options {
  display: flex;
  flex-direction: column;
  gap: var(--deployer-large-spacing);
}
 
.subscription-widget__option {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  width: 100%;
  border: var(--deployer-default-border);
  outline: 1px solid transparent;
  border-radius: var(--deployer-small-border-radius);
  color: rgba(var(--deployer-color-foreground));
  background-color: var(--sw-card-bg);
  border-color: var(--sw-card-border);
  color: var(--sw-text);
}
 
.subscription-widget__option--selected {
  border: var(--deployer-default-border);
  border-color: currentColor;
}
 
.subscription-widget__option--selected .subscription-widget__option-wrapper {
  border-radius: var(--deployer-small-border-radius);
  background-color: var(--sw-selected-bg);
}
 
.subscription-widget__option--disabled {
  opacity: 0.5;
  cursor: not-allowed;
  pointer-events: none;
}
 
.subscription-widget--loading .subscription-widget__option {
  opacity: 0.5;
  pointer-events: none;
  user-select: none;
  cursor: loading;
}
 
.subscription-widget__option .deployer-radio {
  width: 100%;
  display: flex;
  cursor: pointer;
  padding: 12px 20px;
}
 
.subscription-widget__option .deployer-radio > span {
  width: auto;
}
 
.subscription-widget__option-header {
  display: flex;
  justify-content: space-between;
  flex: 1;
  font-size: var(--deployer-h3-font-size);
  font-weight: 600;
  width: 100%;
}
 
.subscription-widget__option-price {
  display: flex;
  align-items: center;
  gap: 5px;
}
 
.subscription-widget__option-price s {
  opacity: 0.7;
}
 
.subscription-widget__option-price-badge {
  position: absolute;
  top: -1em;
  right: 1em;
  background-color: var(--sw-badge-bg);
  color: var(--sw-badge-text);
  border-radius: calc(var(--deployer-small-border-radius) / 2);
  font-size: 12px;
  font-weight: 400;
  padding: 6px 6px;
  height: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.subscription-widget__option-price-badge .subscription-widget__dynamic-discount {
    display: contents;
}
 
.subscription-widget__option-content {
  padding: 0 var(--deployer-default-spacing) var(--deployer-default-spacing);
  width: 100%;
  display: none;
  flex-direction: column;
  gap: var(--deployer-default-spacing);
}

.subscription-widget__option--selected .subscription-widget__option-content {
    display: flex;
}
 
.subscription-widget__benefits {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  gap: 5px;
}
 
.subscription-widget__benefit {
  display: flex;
  align-items: center;
  font-size: var(--deployer-p-font-size);
  line-height: calc(var(--deployer-p-font-size) + 5px);
  gap: 5px;
}
 
.subscription-widget__benefit svg {
  fill: var(--sw-text);
}

subscription-widget .deployer-select {
    border-color: var(--deployer-default-border-color);
}